edit this page - page history - about editing

No Classloader Found for Plug-in when running a JUnit Plugin Test

JUnit / Eclipse

No Classloader Found for Plug-in XXX

If you get this error while you are trying to run JUnit plugin tests in Eclipse, you are missing the required JUnit plugins from your environment.

In your run configuration, go into the 'Plug-ins' tab and add (at the very least) the following plugins (discussion): If you have already got the JUnit plugins in your environment, try cleaning and re-building all of your projects.

at org.eclipse.pde.internal.junit.runtime.RemotePluginTestRunner.getClassLoader

If this is part of the failure message, you may be having a problem with bug 307076: the bundle you are trying to run actually has unresolved dependencies. Make sure all dependencies are available, have no errors (including files out-of-sync) and available in the classpath.
Categories: JUnit | Java
edit this page - what links to here? - page history - top
Last edited by jevon jevon 85 months ago